﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Gihyo
{
    class MyEntity
    {
        static void Main(string[] args)
        {
            using (var db = new GihyoContext())
            {
                var book = new Book
                {
                    Isbn = "978-4-7980-4179-7",
                    Title = "ASP.NET MVC 5実践プログラミング",
                    Price = 3500,
                    Published = DateTime.Parse("2014-09-20"),
                    Cd = false
                };
                db.Books.Add(book);
                db.SaveChanges();

                var books = from b in db.Books orderby b.Published select b;
                foreach (var b in books)
                {
                    Console.WriteLine("Isbn: {0} , Title: {1} , Price: {2}",
                        b.Isbn, b.Title, b.Price);
                }
            }
        }
    }
}
