﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Gihyo
{
    class MyFormat
    {
        static void Main(string[] args)
        {
            Console.WriteLine(
                String.Format("{0}の{1}は{2}が大好きです。", "ハムスター", "キラ", "ひまわり"));

            Console.WriteLine(
                String.Format("【{0, 4}】年【{1, 2}】月【{2, -2}】日", 15, 3, 5));

            Console.WriteLine(
                String.Format("【{0:D4}】年【{1:D2}】月【{2:D2}】日", 15, 3, 5));

            Console.WriteLine(String.Format("{0:C3}", 1083.456));
            Console.WriteLine(String.Format("{0:E}", 1083.456));
            Console.WriteLine(String.Format("{0:F1}", 1083.456));
            Console.WriteLine(String.Format("{0:N4}", 1083.456));
            Console.WriteLine(String.Format("{0:P1}", 0.1083456));

            Console.WriteLine(String.Format("{0:0.000}", 1083.4));
            Console.WriteLine(String.Format("{0:0.###}", 1083.4));
            Console.WriteLine(String.Format("{0:0,000.00}", 108.1));
            Console.WriteLine(String.Format("{0:#,###.##}", 108.1));


        }
    }
}
