﻿using System;
using System.Globalization;

namespace Gihyo
{
    class MyGlobalCompare
    {
        static void Main(string[] args)
        {
            var zen = "イロハニホヘト";
            var han = "ｲﾛﾊﾆﾎﾍﾄ";

            var ci = CultureInfo.CurrentCulture.CompareInfo;
            Console.WriteLine(ci.Compare(zen, han));
            Console.WriteLine(ci.Compare(zen, han, CompareOptions.IgnoreWidth));

            var hira = "いろはにほへと";
            var kata = "イロハニホヘト";
            Console.WriteLine(ci.Compare(hira, kata));
            Console.WriteLine(ci.Compare(hira, kata, CompareOptions.IgnoreKanaType));


        }
    }
}
